NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.LatticeBuilder Class Reference

Represents a Features. More...

Inheritance diagram for NXOpen.Features.LatticeBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BaseMeshType { UseExisting, RemeshTriangular }
 Base Mesh type (for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph only). More...
 
enum  FacetSizeType { Constant, Variable }
 Facet Size Type for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set. More...
 
enum  LatticeTypes { UnitGraph, SurfaceGraph, TetrahedronGraph, ConformalGraph }
 This enum represents the lattice types that are supported in NX. More...
 
enum  ParameterizationType { Automatic, Planar, Contour, Cylindrical }
 This enum represents the parameterization types that are supported in conformal lattice. More...
 
enum  SharpEdgesLockType { NoLock, SoftLock, HardLock }
 Sharp Edges Lock Type (Only for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set.)

More...
 
enum  ThicknessTypes { RodDiameter, Density }
 This enum represents the method that is used to generate lattice rod thickness. More...
 
enum  Version { V1, V2 }
 This enum represents the version of lattice behavior. More...
 

Properties

unsafe double AngularThreshold [get, set]
 Returns or sets the angular threshold More...
 
unsafe NXOpen.Expression AverageFacetSize [get]
 Returns the average size of rod length for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular and NXOpen.Features.LatticeBuilder.FacetSizeType.Constant are set. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
BaseFace [get]
 Returns the geometry that defines the boundary for conformal lattice type. More...
 
unsafe NXOpen.SelectBodyList BoundaryBody [get]
 Returns the solid bodies that define the boundary for unit lattice type. More...
 
unsafe string CellTypeName [get, set]
 Returns or sets the name of the unit cell type. More...
 
unsafe NXOpen.Expression ChordalTolerance [get]
 Returns the chordal tolerance - the maximum chordal deviation for areas with high curvature for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set. More...
 
unsafe NXOpen.Point ContourPoint1 [get, set]
 Returns or sets the contour point1 of contour UV mapping More...
 
unsafe NXOpen.Point ContourPoint2 [get, set]
 Returns or sets the contour point2 of contour UV mapping More...
 
unsafe NXOpen.Point ContourPoint3 [get, set]
 Returns or sets the contour point3 of contour UV mapping More...
 
unsafe NXOpen.Point ContourPoint4 [get, set]
 Returns or sets the contour point4 of contour UV mapping More...
 
unsafe NXOpen.Expression EdgeLength [get]
 Returns the edge length of the unit cell bounding box, and effective only when the bounding box is a uniform cube More...
 
unsafe NXOpen.SelectFaceList FilterToolFace [get]
 Returns the faces of the boundary body that the dangling rods connected to will be removed from the lattice body More...
 
unsafe bool IsRandom [get, set]
 Returns or sets whether to randomize graph vertices within a specified range and generate some bumps for the lattice body. More...
 
unsafe bool IsUniformCube [get, set]
 Returns or sets whether the unit cell bounding box is a uniform cube More...
 
unsafe
NXOpen.Features.LatticeBuilder.LatticeTypes 
LatticeType [get, set]
 Returns or sets the type of lattice that is going to be created. More...
 
unsafe
NXOpen.Features.LatticeBuilder.Version 
LatticeVersion [get, set]
 Returns or sets the lattice behavior version number More...
 
unsafe int Layers [get, set]
 Returns or sets the number of unit cell layers stacked over each other. More...
 
unsafe NXOpen.Expression MaxDeviation [get]
 Returns the maximum deviation that the vertices of the lattice graph will have. More...
 
unsafe NXOpen.Expression MaxEdgeLength [get]
 Returns the maximum edge length used for re-meshing, to determine the redefinition size for the input triangle mesh More...
 
unsafe int MinimumRodNumber [get, set]
 Returns or sets the minimum rod number - All lattice portions with a number of rods less than specified will be removed. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset of the conformal lattice from the base face. More...
 
unsafe NXOpen.Matrix3x3 Orientation [get, set]
 Returns or sets the orientation matrix of unit cell patterning in the lattice creation. More...
 
unsafe NXOpen.Point OrientationPoint1 [get, set]
 Returns or sets the orientation point1 of planar UV mapping More...
 
unsafe NXOpen.Point OrientationPoint2 [get, set]
 Returns or sets the orientation point2 of planar UV mapping More...
 
unsafe NXOpen.Point3d Origin [get, set]
 Returns or sets the origin where the unit cell patterning starts in the lattice creation More...
 
unsafe
NXOpen.Features.LatticeBuilder.ParameterizationType 
Parameterization [get, set]
 Returns or sets the UV mapping parameterization More...
 
unsafe
NXOpen.Features.LatticeBuilder.FacetSizeType 
RemeshMode [get, set]
 Returns or sets the facet size mode for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set. More...
 
unsafe bool RemoveDanglingRods [get, set]
 Returns or sets whether to remove dangling rods from the lattice body. More...
 
unsafe bool RemoveDisconnectedRods [get, set]
 Returns or sets whether to remove small disconnected lattice portions keeping just the largest body. More...
 
unsafe bool RemoveDisconnectedRods2 [get, set]
 Returns or sets whether to automatically remove all small disconnected lattice portions with a number of rods less than the specified value. More...
 
unsafe bool ReverseFaceDirection [get, set]
 Returns or sets whether the conformal lattice will be generated on the other side of the face More...
 
unsafe NXOpen.Expression RodDiameter [get]
 Returns the diameter/thickness of the rods in the lattice graph More...
 
unsafe
NXOpen.Features.LatticeBuilder.SharpEdgesLockType 
SharpEdgesLockOption [get, set]
 Returns or sets the sharp edges lock type for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set. More...
 
unsafe NXOpen.Expression SizeX [get]
 Returns the size of the unit cell bounding box in x axis, and effective only when the bounding box is not a uniform cube More...
 
unsafe NXOpen.Expression SizeY [get]
 Returns the size of the unit cell bounding box in y axis, and effective only when the bounding box is not a uniform cube More...
 
unsafe NXOpen.Expression SizeZ [get]
 Returns the size of the unit cell bounding box in z axis, and effective only when the bounding box is not a uniform cube More...
 
unsafe
NXOpen.Features.LatticeBuilder.BaseMeshType 
Source [get, set]
 Returns or sets the source - NXOpen.Features.LatticeBuilder.BaseMeshType for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph only. More...
 
unsafe NXOpen.Section SplitCurve [get]
 Returns the split curve of cylindrical UV mapping More...
 
unsafe double TessellationFactor [get, set]
 Returns or sets the tessellation factor of the lattice creation. More...
 
unsafe
NXOpen.Features.LatticeBuilder.ThicknessTypes 
ThicknessType [get, set]
 Returns or sets the method that is used to determine lattice rod thickness. More...
 
unsafe
NXOpen.GeometricUtilities.UnitCellBuilder 
UnitCell [get, set]
 Returns or sets the Unit Cell Builder More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Features.

Lattice builder<para>To create a new instance of this class, use NXOpen.Features.LatticeFeatureCollection.CreateLatticeBuilder

Default values.

Property Value

AngularThreshold

10

AverageFacetSize.Value

5 (millimeters part), 0.2 (inches part)

CellTypeName

BiTriangle

ChordalTolerance.Value

0.1 (millimeters part), 0.004 (inches part)

EdgeLength.Value

10 (millimeters part), 0.5 (inches part)

IsRandom

0

IsUniformCube

1

LatticeType

UnitGraph

LatticeVersion

V1

Layers

1

MaxDeviation.Value

0.5 (millimeters part), 0.02 (inches part)

MaxEdgeLength.Value

10 (millimeters part), 0.5 (inches part)

MinimumRodNumber

1

Offset.Value

0 (millimeters part), 0 (inches part)

Parameterization

Automatic

RemeshMode

Constant

RemoveDanglingRods

0

RemoveDisconnectedRods (deprecated)

0

RemoveDisconnectedRods2

0

ReverseFaceDirection

0

RodDiameter.Value

1 (millimeters part), 0.05 (inches part)

SharpEdgesLockOption

NoLock

SizeX.Value

10 (millimeters part), 0.5 (inches part)

SizeY.Value

10 (millimeters part), 0.5 (inches part)

SizeZ.Value

10 (millimeters part), 0.5 (inches part)

Source

UseExisting

TessellationFactor

0.5

ThicknessType

RodDiameter

UnitCell.CellType

BiTriangle

UnitCell.CellTypeName

BiTriangle

UnitCell.EdgeLength.Value

10 (millimeters part), 0.5 (inches part)

UnitCell.IsUniformCube

1

UnitCell.SizeX.Value

10 (millimeters part), 0.5 (inches part)

UnitCell.SizeY.Value

10 (millimeters part), 0.5 (inches part)

UnitCell.SizeZ.Value

10 (millimeters part), 0.5 (inches part)

Created in NX11.0.2

Deprecated in NX1899.0.0. Use NXOpen.Features.Lattice2Builder instead.

Member Enumeration Documentation

Base Mesh type (for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph only).

An enumeration which kind of mesh to be used:

  • Use Existing - The existing mesh of the input faces will be directly used (or the display mesh from analytic faces).
  • Remesh Triangular - The input faces will be remeshed triangular to a specified facet size.
Enumerator
UseExisting 
RemeshTriangular 

Facet Size Type for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set.

Enumerator
Constant 
Variable 

This enum represents the lattice types that are supported in NX.

Enumerator
UnitGraph 
SurfaceGraph 
TetrahedronGraph 
ConformalGraph 

This enum represents the parameterization types that are supported in conformal lattice.

Enumerator
Automatic 
Planar 
Contour 
Cylindrical 

This enum represents the method that is used to generate lattice rod thickness.

Enumerator
RodDiameter 
Density 

This enum represents the version of lattice behavior.

By setting this to V1, user can get legacy conformal lattice behavior in NX12. If this value is set to V2, user can get the enhanced conformal lattice behavior in NX12.0.1.

Enumerator
V1 
V2 

Property Documentation

unsafe double NXOpen.Features.LatticeBuilder.AngularThreshold
getset

Returns or sets the angular threshold

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.AverageFacetSize
get
unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.LatticeBuilder.BaseFace
get

Returns the geometry that defines the boundary for conformal lattice type.

This can be faces or sheet bodies.

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Features.LatticeBuilder.BoundaryBody
get

Returns the solid bodies that define the boundary for unit lattice type.

Created in NX11.0.2

License requirements: None.

unsafe string NXOpen.Features.LatticeBuilder.CellTypeName
getset

Returns or sets the name of the unit cell type.

Currently there are 15 valid unit cells that are supported in NX. Their name strings are:

  • BiTriangle
  • Cubeplex
  • Dodecahedron
  • HexStar
  • HexVase
  • HexVaseMod
  • Octapeak
  • Octahedroid
  • PseudoSierpinski
  • QuadDiametral
  • QuadDiametralCross
  • QuadDiametralLine
  • Star
  • TriDiametral
  • TriDiametralChevron

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.ChordalTolerance
get

Returns the chordal tolerance - the maximum chordal deviation for areas with high curvature for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set.

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.LatticeBuilder.ContourPoint1
getset

Returns or sets the contour point1 of contour UV mapping

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.LatticeBuilder.ContourPoint2
getset

Returns or sets the contour point2 of contour UV mapping

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.LatticeBuilder.ContourPoint3
getset

Returns or sets the contour point3 of contour UV mapping

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.LatticeBuilder.ContourPoint4
getset

Returns or sets the contour point4 of contour UV mapping

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.EdgeLength
get

Returns the edge length of the unit cell bounding box, and effective only when the bounding box is a uniform cube

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.SelectFaceList NXOpen.Features.LatticeBuilder.FilterToolFace
get

Returns the faces of the boundary body that the dangling rods connected to will be removed from the lattice body

Created in NX12.0.0

License requirements: None.

unsafe bool NXOpen.Features.LatticeBuilder.IsRandom
getset

Returns or sets whether to randomize graph vertices within a specified range and generate some bumps for the lattice body.

The range over which the vertices are randomized is determined by property Features.LatticeBuilder.MaxDeviation .

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.LatticeBuilder.IsUniformCube
getset

Returns or sets whether the unit cell bounding box is a uniform cube

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.LatticeBuilder.LatticeTypes NXOpen.Features.LatticeBuilder.LatticeType
getset

Returns or sets the type of lattice that is going to be created.

For now, the only supported lattice types are: NXOpen.Features.LatticeBuilder.LatticeTypes.UnitGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.ConformalGraph .

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.LatticeBuilder.Version NXOpen.Features.LatticeBuilder.LatticeVersion
getset

Returns or sets the lattice behavior version number

The default is V1. By setting this to default value, user can get legacy conformal lattice behavior in NX12. If this value is set to V2, user can get the enhanced conformal lattice behavior in NX12.0.1.

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe int NXOpen.Features.LatticeBuilder.Layers
getset

Returns or sets the number of unit cell layers stacked over each other.

The default is one layer only.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.MaxDeviation
get

Returns the maximum deviation that the vertices of the lattice graph will have.

The bigger the value of this property is, the more obvious bumps the lattice body will generate.

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.MaxEdgeLength
get

Returns the maximum edge length used for re-meshing, to determine the redefinition size for the input triangle mesh

Created in NX11.0.2

License requirements: None.

unsafe int NXOpen.Features.LatticeBuilder.MinimumRodNumber
getset

Returns or sets the minimum rod number - All lattice portions with a number of rods less than specified will be removed.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.Offset
get

Returns the offset of the conformal lattice from the base face.

A negative offset will let the conformal lattice intersect with the base face ("into material"). A positive offset will move the conformal lattice away from the base face( "away from material"). Using a negative offset can ensure that the final lattice body will intersect with the base face, if that is required. The default offset is zero.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Matrix3x3 NXOpen.Features.LatticeBuilder.Orientation
getset

Returns or sets the orientation matrix of unit cell patterning in the lattice creation.

The orientation matrix is defined relative to the WCS.

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.LatticeBuilder.OrientationPoint1
getset

Returns or sets the orientation point1 of planar UV mapping

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point NXOpen.Features.LatticeBuilder.OrientationPoint2
getset

Returns or sets the orientation point2 of planar UV mapping

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Point3d NXOpen.Features.LatticeBuilder.Origin
getset

Returns or sets the origin where the unit cell patterning starts in the lattice creation

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.LatticeBuilder.ParameterizationType NXOpen.Features.LatticeBuilder.Parameterization
getset

Returns or sets the UV mapping parameterization

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.LatticeBuilder.FacetSizeType NXOpen.Features.LatticeBuilder.RemeshMode
getset

Returns or sets the facet size mode for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.LatticeBuilder.RemoveDanglingRods
getset

Returns or sets whether to remove dangling rods from the lattice body.

The dangling rods are defined as the following:

  • Connects at only one end to the lattice body
  • Touches or intersects a face of the boundary body

The selected faces are (Features.LatticeBuilder.FilterToolFace )

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.LatticeBuilder.RemoveDisconnectedRods
getset

Returns or sets whether to remove small disconnected lattice portions keeping just the largest body.

Created in NX12.0.0

Deprecated in NX1847.0.0. This is for pre NX1847 usage, do not use this method. Instead use NXOpen.Features.LatticeBuilder.RemoveDisconnectedRods2 instead.

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.LatticeBuilder.RemoveDisconnectedRods2
getset

Returns or sets whether to automatically remove all small disconnected lattice portions with a number of rods less than the specified value.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe bool NXOpen.Features.LatticeBuilder.ReverseFaceDirection
getset

Returns or sets whether the conformal lattice will be generated on the other side of the face

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.RodDiameter
get

Returns the diameter/thickness of the rods in the lattice graph

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Features.LatticeBuilder.SharpEdgesLockType NXOpen.Features.LatticeBuilder.SharpEdgesLockOption
getset

Returns or sets the sharp edges lock type for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph when NXOpen.Features.LatticeBuilder.BaseMeshType.RemeshTriangular is set.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.SizeX
get

Returns the size of the unit cell bounding box in x axis, and effective only when the bounding box is not a uniform cube

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.SizeY
get

Returns the size of the unit cell bounding box in y axis, and effective only when the bounding box is not a uniform cube

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.LatticeBuilder.SizeZ
get

Returns the size of the unit cell bounding box in z axis, and effective only when the bounding box is not a uniform cube

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Features.LatticeBuilder.BaseMeshType NXOpen.Features.LatticeBuilder.Source
getset

Returns or sets the source - NXOpen.Features.LatticeBuilder.BaseMeshType for NXOpen.Features.LatticeBuilder.LatticeTypes.SurfaceGraph and NXOpen.Features.LatticeBuilder.LatticeTypes.TetrahedronGraph only.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Section NXOpen.Features.LatticeBuilder.SplitCurve
get

Returns the split curve of cylindrical UV mapping

Created in NX12.0.1

License requirements: None.

unsafe double NXOpen.Features.LatticeBuilder.TessellationFactor
getset

Returns or sets the tessellation factor of the lattice creation.

A tessellation tolerance specifies the maximum deviation between the ideal rod and their final tessellated representation of the lattice body. Since the result heavily depends on the relation between rod diameter and tessellation tolerance, the tessellation factor is only a unitless factor. The actual tessellation tolerance will determined by (Features.LatticeBuilder.TessellationFactor ) X (Features.LatticeBuilder.RodDiameter )

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.Features.LatticeBuilder.ThicknessTypes NXOpen.Features.LatticeBuilder.ThicknessType
getset

Returns or sets the method that is used to determine lattice rod thickness.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_lattice_base (" NX Lattice Base")

unsafe NXOpen.GeometricUtilities.UnitCellBuilder NXOpen.Features.LatticeBuilder.UnitCell
getset

Returns or sets the Unit Cell Builder

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.